#ifndef __TVI_V4L2_H_
#define __TVI_V4L2_H_

void* video_init(char *name, char *videodev, int smemid);
int video_size(void *privptr, int width, int height);
int video_format(void *privptr, int outfmt);
int video_input(void *privptr, int input, float freq);
int video_fps(void *privptr, int fps);
int video_start(void *privptr);
int video_process(void *privptr);
void video_uninit(void** privptr);

#endif
